> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# セッションの添付ファイルを一覧表示する

> セッションのすべての添付ファイルを一覧表示します。

<Note>
  `devin_id` は、`devin-` をプレフィックスとするセッション ID です (例: `devin-abc123`) 。
</Note>

<div id="permissions">
  ## 権限
</div>

組織レベルで `ViewOrgSessions` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/sessions/{devin_id}/attachments
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/sessions/{devin_id}/attachments:
    get:
      tags:
        - sessions
      summary: セッションの添付ファイルを一覧表示する
      description: セッションのすべての添付ファイルを一覧表示します。
      operationId: >-
        handle_get_session_attachments_v3_organizations__org_id__sessions__devin_id__attachments_get
      parameters:
        - description: '組織ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: org-abc123def456
            title: Org Id
        - description: 'DevinセッションID（プレフィックス: devin-）'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SessionAttachment'
                title: >-
                  Response Handle Get Session Attachments V3 Organizations  Org
                  Id  Sessions  Devin Id  Attachments Get
                type: array
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    SessionAttachment:
      description: セッション中にアップロードされた添付ファイル。
      properties:
        attachment_id:
          title: Attachment Id
          type: string
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        name:
          title: Name
          type: string
        source:
          enum:
            - devin
            - user
          title: Source
          type: string
        url:
          title: Url
          type: string
      required:
        - attachment_id
        - name
        - url
        - source
      title: SessionAttachment
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````